#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    scanf("%d",&n);
    int a[n];
    bool k=false;
    for(int i=0;i<n;i++)
    {
        scanf("%d",&a[i]);
    }

    for(int i=0;i<n-1;i++)
    {
        for(int j=i;j<n;j++)
        {
            if(a[i]<a[j])
            {
                int temp = a[i];
                a[i] = a[j];
                a[j] = temp;
                k=true;
                break;
            }
        }
        if(k)break;
    }

    if(!k)
    {
        int temp = a[n-1];
        a[n-1]=a[n-2];
        a[n-2]=temp;
    }

    for(int i=0;i<n;i++)
    {
        printf("%d ",a[i]);
    }
}